commit:     db8660c0bb8f33ebe0c04a959623028be3c4fe02
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  5 21:21:16 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sun Jul  5 21:21:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db8660c0

dev-perl/Net-LibIDN2: -r bump for EAPI7 + Toolchain love

- EAPI7
- Don't break when LD!=CCLD
- Ensure CFLAGS passed though to compiler

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 dev-perl/Net-LibIDN2/Net-LibIDN2-1.0.0-r2.ebuild | 39 ++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-perl/Net-LibIDN2/Net-LibIDN2-1.0.0-r2.ebuild 
b/dev-perl/Net-LibIDN2/Net-LibIDN2-1.0.0-r2.ebuild
new file mode 100644
index 00000000000..18b134b5172
--- /dev/null
+++ b/dev-perl/Net-LibIDN2/Net-LibIDN2-1.0.0-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=THOR
+DIST_VERSION=1.00
+inherit perl-module
+
+DESCRIPTION="Perl bindings for GNU Libidn2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="net-dns/libidn2:="
+DEPEND="
+       net-dns/libidn2:=
+       dev-perl/Module-Build
+"
+BDEPEND="${RDEPEND}
+       virtual/perl-ExtUtils-CBuilder
+       virtual/perl-ExtUtils-ParseXS
+       dev-perl/Module-Build
+       test? (
+               >=virtual/perl-Test-Simple-0.10.0
+       )
+"
+
+PATCHES=( "${FILESDIR}/${P}"-libidn-2.0.5.patch )
+
+src_configure() {
+       unset LD
+       [[ -n "${CCLD}" ]] && export LD="${CCLD}"
+       perl-module_src_configure
+}
+src_compile() {
+       ./Build --config optimize="${CFLAGS}" build || die
+}

Reply via email to